@%CT = Preface

This book of proceedings contains the papers presented at the second 
genetic programming conference held at Stanford University on July 
13<196>16, 1997. Genetic programming is an automatic programming technique 
for evolving computer programs that solve (or approximately solve) 
problems. Starting with a primordial ooze of thousands of randomly 
created computer programs composed of appropriate programmatic ingredients, 
a population of computer programs is progressively evolved over many 
generations using the Darwinian principle of survival of the fittest, 
a sexual recombination (crossover) operation, and occasional mutation.

@%HEAD 1 = ACKNOWLEDGMENTS

The editors of these proceedings and the organizers of this conference 
gratefully acknowledge the assistance and contributions of the following 
people and organizations:

@%BULLET = Stanford University

@%BULLET = the cooperating professional societies: 

@%BULLET SUB = Association for Computing Machinery (ACM) 

@%BULLET SUB = Special Interest Group in Artificial Intelligence (SIGART) 
of the ACM 

@%BULLET SUB = Society for Industrial and Applied Mathematics (SIAM) 


@%BULLET SUB = American Association for Artificial Intelligence (AAAI)

@%LIST SPC SM = 

@%BULLET = the American Association for Artificial Intelligence (AAAI) 
for its grant for student travel

@%BULLET = Applied AI Systems, Inc. of Kanata, Ontario and its president, 
Takashi Gomi, for in-kind contributions

@%BULLET = the<MI> Release 1.0 <D>newsletter and its editor, Esther 
Dyson, for in-kind contributions

@%BULLET = the conference's publicity chair, Patrick Tufts of Brandeis 
University

@%BULLET = David Andre and Forrest H Bennett III for serving on the 
executive committee

@%BULLET = the Stanford University Conference Office

@%BULLET = Stanford University School of Medicine

@%BULLET = the American Association for Artificial Intelligence (AAAI) 
for conference administration services and, in particular, Carol Hamilton 
and Mary Beth Jensen

@%BULLET = Morgan Kaufmann Publishers and, in particular, Michael 
Morgan and Marilyn Uffner Alan

@%BULLET = the conference's invited speakers: Susumu Ohno, Ben Horowitz, 
chair of Distinguished Scientist in Theoretical Biology, Beckman Research 
Institute; David B. Fogel, chief scientist, Natural Selection, Inc. 
and editor-in-chief of the <MI>IEEE Transactions on Evolutionary Computation;<D> 
and Ellen Goldberg, president, Santa Fe Institute

@%BULLET = the tutorial speakers (listed on following pages)

@%BULLET = the considerable time and effort of the members of the 
seven program committees (listed on the following pages)

@%BULLET = the authors who submitted papers for consideration by the 
conference.

@%LIST SPC SM = 

Services were supplied to the conference by Jerry Jager of Jager Communications, 
San Carlos, California (who did the logotypes, brochures, T-shirts, 
and book cover for the conference); the Prodigy Press of Palo Alto, 
California; the Stanford University Bookstore; Bagetelos and Fadem; 
Deloitte and Touche; IEEE Computer Society; SIAM; ACM; SCS; Kluwer 
Academic Publishers; Rubin Response Services, Inc.; the IIS Corporation 
of Mountain View, California; <MI>ISR Newsletter;<D> and the <MI>Intelligence<D> 
newsletter.

This conference was organized by Genetic Programming Conferences, 
Inc., a California not-for-profit corporation.

@%HEAD 1 = GP-97 PEER REVIEW PROCESS

Out of an original pool of 105 papers, these proceedings contain 36 
long papers, 33 short papers, and 15 poster papers that were selected 
by a peer-review process. 

Papers were publicly solicited by a <169>Call for Papers<170> (with 
a submission deadline of January 8, 1997) that was widely circulated 
to researchers in genetic programming, genetic algorithms, evolutionary 
robotics and artificial life, DNA computing, evolutionary programming 
and evolution strategies, evolvable hardware, classifier systems, 
artificial intelligence, neural networks, and machine learning.

The review and selection of the papers was done separately for the 
seven categories of papers at the conference<197>genetic programming, 
genetic algorithms, artificial life and evolutionary robotics, evolutionary 
programming and evolutionary strategies, DNA computing, evolvable 
hardware, and classifier systems. 

For all of the categories other than genetic programming, the chair 
appointed a program committee that reviewed and selected the papers 
for that category. Kalyanmoy Deb is an assistant professor in the 
Department of Mechanical Engineering at the Indian Institute of Technology, 
Kanpur, India and chaired the reviewing process for the papers in 
the genetic algorithms category. Marco Dorigo is a research associate 
for the National Fund for Scientific Research at the Universit<130> 
Libre de Bruxelles and chaired the reviewing process for the papers 
on evolutionary robotics and artificial life. David B. Fogel is chief 
scientist at Natural Selection, Inc. in La Jolla, California and editor-in-chief 
of the <MI>IEEE Transactions on Evolutionary Computation;<D> he chaired 
the reviewing process for the papers on evolutionary programming and 
evolutionary strategies. Max Garzon, a professor in the Computer Science 
department at the University of Memphis, chaired the reviewing process 
for the papers on DNA computing. Hitoshi Iba, senior researcher at 
the Electrotechnical Laboratory, Tsukuba, Japan, chaired the reviewing 
process for the papers on evolvable hardware. Rick L. Riolo, director 
of the Computer Laboratory of the Program for Study of Complex Systems 
at the University of Michigan, chaired the reviewing process for the 
papers on genetic classifier systems.

For the genetic programming papers, the peer reviewing of the papers 
was done by an intentionally large and broad-based program committee 
consisting of 117 members. All authors of any previously published 
scientific paper on genetic programming were solicited and encouraged 
to be members of this program committee. Each member of the program 
committee was given only about four papers to read and evaluate. Each 
reviewer completed a detailed 16-part review form for each paper. 
Each author received about six detailed reviews for his or her paper. 
The tabulation of the results of the peer-reviewing process by the 
program committee was done by an executive committee consisting of 
David Andre and Forrest H Bennett III and the general chair (John 
Koza)<197>none of whom reviewed any papers. One of the 16 parts of 
the peer review form asked the reviewer to allocate a fixed budget 
of 100 points among the four papers that he reviewed (with an appropriate 
adjustment being made if the reviewer reviewed more or less than four 
papers). A peer reviewer could allocate a maximum of 50 points to 
any one paper (with the total of all allocated points being 100 for 
four papers). This part of the review form caused the reviewer to 
make sometimes difficult <169>relative<170> choices among the papers. 
Another part of the peer review form asked the reviewer to make an 
<169>absolute<170> recommendation as to whether a given paper should 
(definitely or probably) be accepted or rejected (with the peer reviewer 
being able to recommend acceptance of all, some, or none of the papers). 
An algorithm combining these <169>relative<170> and <169>absolute<170> 
scores was then used to rank the papers. The papers receiving the 
highest average relative rankings became the long papers (up to nine 
pages in length). The papers with the next highest average relative 
rankings became the short papers (up to six pages in length). A formula 
involving the average relative rankings and a threshold number of 
acceptance recommendations determined the one-page poster papers. 
The remaining submissions were rejected. There were no invited GP 
papers.

Each of the peer reviewers affirmatively answered the following question 
as part of the 16-part review form:

@%EXTRACT = I have read this paper. I am not at the same institution 
as any of the authors. I am not reviewing more than one paper for 
this conference by this author. I do not have an especially close 
relationship (or an antagonistic relationship) with the author(s). 
I am not re-reviewing this work (i.e., I have not, within the past 
year, reviewed substantially the same work by the same author). This 
review is my own opinion and work and has not been delegated to anyone 
(specifically including students or subordinates). I have not discussed 
my review of this paper with any other peer reviewer for this conference. 
I will regard any new intellectual content of this paper as confidential 
and will not disclose or use it until such time as it gets published 
under the author's name or otherwise becomes publicly known (and, 
if I discussed this review with anyone else at all, they have also 
explicitly agreed to maintain the author's work as confidential and 
I notified the general chair of their agreement to do so). I feel 
that I am qualified to review this paper.

The members of the executive committee and the general chair (all 
of whom had themselves submitted papers to the conference) do not 
know the identity of the peer reviewers for any specific paper at 
the conference (including their own). This information was known only 
by the American Association for Artificial Intelligence (who handled 
the distribution of the papers to the peer reviewers based on subject 
matter and in accordance with procedural rules).

The paper by Anna I. Esparcia-Alc<160>zar and Ken Sharman in this 
volume was originally accepted as a long paper for the GP-96 conference. 
Since the paper did not arrive by the deadline for the 1996 final 
camera-ready papers, it is being published now in this volume. 

@%HEAD 1 = GP-97 LATE-BREAKING PAPERS

In order to provide conference attendees with information about research 
that was initiated, enhanced, improved, or completed after the original 
paper submission deadline, a rapidly-printed book containing papers 
describing late-breaking developments in the field of genetic programming 
was distributed to all attendees in addition to this peer-reviewed 
book of proceedings. The deadline for these late-breaking papers was 
June 11, 1997. Late-breaking papers were briefly examined for minimum 
standards of acceptability and relevance, but were not peer reviewed. 
Late-breaking papers were presented during a poster session held during 
the conference. This book may be purchased directly from the Stanford 
University Bookstore after the conference.

@%HEAD 1 = PRE-DISTRIBUTION OF CONFERENCE PROCEEDINGS<R>
TO GP-97 CONFERENCE ATTENDEES

In order to enable conference attendees to use the conference for 
in-depth followup on the papers presented at the conference, copies 
of these proceedings were mailed to all attendees with U.S. mailing 
addresses one or two weeks prior to the conference.

@%HEAD 1 = DISCUSSANTS FOR EACH GP-97 PAPER AT THE CONFERENCE

In order to stimulate discussion of the papers at the conference, 
a discussant was appointed prior to the conference to study each long 
and short paper. At the conference, each paper was orally presented 
in a 15-minute period (in either a plenary session or a parallel session) 
by one of the paper's authors. After this oral presentation, the discussant 
presented prepared comments on the paper and discussed the paper with 
the presenting author during a 5-minute period. This 5-minute period 
was followed by a question-and-answer period in which the audience 
asked questions of the presenting author.

@%HEAD 1 = GP-97 PhD STUDENT WORKSHOP

A workshop was held on Saturday, July 12, 1997 before the start of 
the conference in which PhD students from various universities presented 
their ongoing work on their PhD theses to a limited audience consisting 
primarily of other PhD students and to a faculty panel consisting 
of

@%BULLET = David Goldberg, University of Illinois<196>Urbana

@%BULLET = Nils Nilsson, Stanford University

@%BULLET = John Koza, Stanford University

@%BULLET = David B. Fogel, Natural Selection, Inc.

@%BULLET = Dan Ashlock, Iowa State University

@%BULLET = Shu-Heng Chen, National Chengchi University

@%HEAD 1 = GP-97 WWW SITE

The GP-97 conference home page on the WWW was <F102P9M>http://www-cs-faculty.stanford.edu/~koza/ 
gp97.html<F255P255D>.

@%HEAD 1 = GP-96 VIDEOTAPES

Almost all of the tutorials and paper presentations at the GP-96 conference 
were videotaped by Sound Photosynthesis, Box 2111, Mill Valley, CA 
94942. Their URL on the WWW is (<F102P9M>http://www.photosynthesis.com/ 
space.html<F255P255D>). Tapes may be purchased directly from them.

@%HEAD 1 = GP-98 CONFERENCE

The Genetic Programming 1998 Conference (GP-98) is <MI>tentatively<D> 
scheduled for July 22<196>25 (Wednesday<196>Saturday), 1998 in Madison, 
Wisconsin (just prior to AAAI-98 on July 26<196>30, 1998 in Madison). 
For more information, see the GP-98 WWW home page at <F102P9M>http://www-cs-faculty.stanford.edu/~koza/gp98.html<F255P255D> 
or contact GP-98 Conference, c/o American Association for Artificial 
Intelligence, 445 Burgess Drive, Menlo Park, CA 94025; <MS>PHONE<D>: 
415-328-3123. <MS>FAX<D>: 415-321-4457. 

@%SIGNATURE = John R. Koza <197> Stanford University

@%SIGNATURE = Kalyanmoy Deb <197> Indian Institute of Technology, 
Kanpur, India

@%SIGNATURE = Marco Dorigo <197> Universit<130> Libre de Bruxelles

@%SIGNATURE = David B. Fogel <197> Natural Selection, Inc.

@%SIGNATURE = Max Garzon <197> University of Memphis

@%SIGNATURE = Hitoshi Iba <197> Electrotechnical Laboratory, Tsukuba, 
Japan

@%SIGNATURE = Rick L. Riolo <197> University of Michigan

@%BREAK PAGE = 

@%CT = Chairs and Committees

@%HEAD 1 = INVITED SPEAKERS

@%UNNUMBER = David B. Fogel		Chief scientist, Natural Selection, Inc., 
La Jolla, California<R>
		and editor-in-chief of the<MI> IEEE Transactions on Evolutionary 
Computation<D>

@%UNNUMBER = Ellen Goldberg	President, Santa Fe Institute, Santa Fe, 
New Mexico

@%UNNUMBER = Susumu Ohno	Ben Horowitz Chair of Distinguished Scientist 
in Theoretical Biology, <R>
	Beckman Research Institute, City of Hope, California

@%HEAD 1 = GENERAL CHAIR

@%UNNUMBER = John R. Koza	Stanford University

@%HEAD 1 = EXECUTIVE COMMITTEE

@%UNNUMBER = David Andre	University of California<196>Berkeley

@%UNNUMBER = Forrest H Bennett III	Stanford University

@%HEAD 1 = PUBLICITY CHAIR

@%UNNUMBER = Patrick Tufts	Brandeis University

@%HEAD 1 = GP-97 TUTORIAL SPEAKERS

@%BULLET ALT = Genetic Algorithms<197>David E. Goldberg, University 
of Illinois<196>Urbana-Champaign

@%BULLET ALT = Evolvable Hardware<197>Tetsuya Higuchi, Electrotechnical 
Laboratory, Tsukuba, Japan

@%BULLET ALT = Program Growth Control in Genetic Programming<197>Byoung-Tak 
Zhang, Seoul National University, Seoul, South Korea and Hitoshi Iba, 
Electrotechnical Laboratory, Tsukuba, Japan

@%BULLET ALT = Introduction to Genetic Programming<197>John Koza, 
Stanford University

@%BULLET ALT = Neural Networks<197>Bernard Widrow, Stanford University 


@%BULLET ALT = Evolutionary Algorithms for Computer-Aided Design of 
Integrated Circuits<197>Rolf Drechsler, Albert-Ludwigs-University, 
Freiburg, Germany

@%BULLET ALT = Self-Replicating Systems in Cellular Space Models<197>Jason 
Lohn, Stanford University

@%BULLET ALT = Advanced Genetic Programming<197>John Koza, Stanford 
University

@%BULLET ALT = Evolutionary Programming and Evolution Strategies<197>David 
Fogel, University of California<196>San Diego

@%BULLET ALT = Genetic Programming Representations<197>Astro Teller, 
Carnegie Mellon University

@%BULLET ALT = Design of Electrical Circuits Using Genetic Programming<197>David 
Andre University of California<196>Berkeley and Forrest H Bennett 
III, Stanford University

@%BULLET ALT = Genetic Programming with Linear Genomes<197>Wolfgang 
Banzhaf, University of Dortmund, Germany

@%BULLET ALT = Machine Learning<197>Pat Langley, Institute for the 
Study of Learning and Expertise

@%BULLET ALT = Computational Learning Theory<197>Vasant Honavar, Iowa 
State University

@%BULLET ALT = Simulated Evolution of Models<197>Jeanine Graf, Inquire 
America Corporation

@%BULLET ALT = Molecular Biology for Computer Scientists<197>Russ 
B. Altman, Stanford University

@%BULLET ALT = DNA Computing<197>Russell Deaton and Randy C. Murphy, 
University of Memphis

@%BULLET ALT = Cellular Programming: Evolution of Parallel Cellular 
Machines<197>Moshe Sipper, Swiss Federal Institute of Technology, 
Lausanne

@%BULLET ALT = Evolutonary Algorithms with Mathematica<197>Christian 
Jacob, The University of Calgary and University of Erlangen

@%BULLET ALT = Machine Language Genetic Programming<197>Peter Nordin, 
DaCapo AB, Sweden

@%HEAD 1 = PROGRAM COMMITTEE FOR GENETIC PROGRAMMING PAPERS

@%UNNUMBER = Russell J. Abbott	California State University<196>Los 
Angeles and The Aerospace Corporation

@%UNNUMBER = Hojjat Adeli	Ohio State University

@%UNNUMBER = Enrique Alba	University de Malaga

@%UNNUMBER = Dennis Allison	Stanford University

@%UNNUMBER = Lee Altenberg	Hawaii Institute of Geophysics and Planetology

@%UNNUMBER = Peter J. Angeline	Lockheed Martin

@%UNNUMBER = Karthik Balakrishnan	Iowa State University

@%UNNUMBER = Wolfgang Banzhaf	University of Dortmund, Germany

@%UNNUMBER = Rik Belew	University of California<196>San Diego

@%UNNUMBER = Tommaso F. Bersano-Begey	University of Michigan

@%UNNUMBER = Tobias Blickle	

@%UNNUMBER = Edward B. Boden	IBM Rochester

@%UNNUMBER = Scott Brave	Massachusetts Institute of Technology, Media 
Laboratory

@%UNNUMBER = Wilker Shane Bruce	Nova Southeastern University

@%UNNUMBER = Bill P. Buckles	Tulane University

@%UNNUMBER = Julian Dorado de la Calle	University of A Corunha

@%UNNUMBER = Shu-Heng Chen	National Chengchi University, Taiwan

@%UNNUMBER = Bastien Chopard	CUI, University of Geneva

@%UNNUMBER = H. Brown Cribbs, III	University of Alabama

@%UNNUMBER = Mark J. Crosbie 	Hewlett-Packard

@%UNNUMBER = Jason Daida	University of Michigan

@%UNNUMBER = Anthony Deakin	University of Liverpool

@%UNNUMBER = Judith E. Devaney	NIST

@%UNNUMBER = Hugo de Garis	ATR, Kyoto, Japan

@%UNNUMBER = Marco Dorigo	Universit<130> Libre de Bruxelles

@%UNNUMBER = Dimitris C. Dracopoulos	<144>cole Normale Superieure 
de Lyon

@%UNNUMBER = Rolf Drechsler	University of Freiburg, Germany

@%UNNUMBER = Bertrand Daniel Dunay	System Dynamics International

@%UNNUMBER = Garett Dworman	The Wharton School

@%UNNUMBER = Andrew N. Edmonds	Science in Finance Ltd., UK

@%UNNUMBER = H. H. Ehrenburg	CWI, The Netherlands

@%UNNUMBER = Rodolfo Faglia	Universit<133> di Brescia, Italy

@%UNNUMBER = Gabriel J. Ferrer	University of Virginia

@%UNNUMBER = Nicholas Flann	Utah State University

@%UNNUMBER = Terry Fogarty	Napier University

@%UNNUMBER = James A. Foster	University of Idaho

@%UNNUMBER = Frank D. Francone	FRISEC

@%UNNUMBER = Adam P. Fraser	University of Salford

@%UNNUMBER = Matthias Fuchs	University of Kaiserslautern

@%UNNUMBER = Alex S. Fukunaga	Jet Propulsion Laboratory, California 
Institute of Technology

@%UNNUMBER = Chris Gathercole	University of Edinburgh

@%UNNUMBER = Erol Gelenbe	Duke University

@%UNNUMBER = Jonathan Gibbs	University of California, Santa Cruz

@%UNNUMBER = Erik D. Goodman	Michigan State University

@%UNNUMBER = Frederic Gruau	CWI Amsterdam and COGS Sussex University

@%UNNUMBER = Richard Hampo	Ford Research Laboratory

@%UNNUMBER = Simon Handley	Stanford University

@%UNNUMBER = Thomas D. Haynes	University of Missouri<196>St. Louis

@%UNNUMBER = Hitoshi Hemmi	ATR, Kyoto, Japan

@%UNNUMBER = Hugo G. Hiden	Newcastle University

@%UNNUMBER = Vasant Honavar	Iowa State University

@%UNNUMBER = Brian Howley	Lockheed Martin Missiles and Space

@%UNNUMBER = Lorenz Huelsbergen	Lucent Technologies

@%UNNUMBER = Hitoshi Iba	Electrotechnical Laboratory, Japan

@%UNNUMBER = Christian Jacob	University of Erlangen, Germany

@%UNNUMBER = Hugues Juille	Brandeis University

@%UNNUMBER = Martin A. Keane	Econometrics

@%UNNUMBER = Maarten Keijzer	Cap Volmac, Adaptive Systems bv.

@%UNNUMBER = Robert E. Keller	Dortmund University

@%UNNUMBER = Simon Kent	Brunel University

@%UNNUMBER = Steven O. Kimbrough	University of Pennsylvania

@%UNNUMBER = Masayuki Kimura	Japan Advanced Institute of Science and 
Technology

@%UNNUMBER = Leslie A. Kuhn	Michigan State University

@%UNNUMBER = Ibrahim Kuscu	University of Sussex

@%UNNUMBER = James D. Laing	The Wharton School, University of Pennsylvania

@%UNNUMBER = W. B. Langdon	University of Birmingham

@%UNNUMBER = K. S. Leung	Chinese University of Hong Kong

@%UNNUMBER = David Levine	The Boeing Company

@%UNNUMBER = Sean Luke	University of Maryland<196>College Park

@%UNNUMBER = Sidney R. Maxwell III	Applied Microsystems, Inc.

@%UNNUMBER = Nicholas Freitag McPhee	University of Minnesota<196>Morris

@%UNNUMBER = Zbigniew Michalewicz	University of North Carolina

@%UNNUMBER = David Montana	BBN System and Technologies

@%UNNUMBER = Gary Montague	University of Newcastle

@%UNNUMBER = Byung-Ro Moon	DT Research Lab, LG Semicon Co., Ltd.

@%UNNUMBER = Brian Mulloy	University of Michigan

@%UNNUMBER = Robert B. Nachbar	Merck Research Laboratories

@%UNNUMBER = Peter Nordin	DaCapo AB, Sweden

@%UNNUMBER = Howard Oakley	Institute of Naval Medicine, UK

@%UNNUMBER = Peter C. Olsen	Department of Defense

@%UNNUMBER = Franz Oppacher	Carleton University, Ottawa

@%UNNUMBER = Una-May O`Reilly	Artificial Intelligence Lab, MIT

@%UNNUMBER = Mouloud Oussaidene	Universit<130> de Geneve

@%UNNUMBER = Michael Papka	Argonne National Laboratory

@%UNNUMBER = Alejandro Pazos	University of A Corunha

@%UNNUMBER = Timothy Perkis	

@%UNNUMBER = Frederick Petry	Tulane University

@%UNNUMBER = Riccardo Poli	University of Birmingham

@%UNNUMBER = Carlos Cotta Porras	University of Malaga

@%UNNUMBER = Bill Punch	Michigan State University

@%UNNUMBER = Adil Qureshi	University College London

@%UNNUMBER = Simon Raik	Monash University

@%UNNUMBER = Robert A. Richards	Stanford Linear Accelerator Center

@%UNNUMBER = Antonino Santos del Riego	University of A Corunha

@%UNNUMBER = Justinian P. Rosca	University of Rochester

@%UNNUMBER = Peter Ross	University of Edinburgh

@%UNNUMBER = Conor Ryan	University of Limerick, Ireland

@%UNNUMBER = Tae-wan Ryu	University of Houston

@%UNNUMBER = Yuji Sato	Hitachi Central Research Laboratories

@%UNNUMBER = Robert Savit	University of Michigan

@%UNNUMBER = Dale A. Schoenefeld	University of Tulsa

@%UNNUMBER = Gregory Seront	Universit<130> Libre de Bruxelles

@%UNNUMBER = Eric V. Siegel	Columbia University

@%UNNUMBER = Terence Soule	University of Idaho

@%UNNUMBER = Kilian Stoffel	University of Maryland 

@%UNNUMBER = Walter Alden Tackett	Neuromedia

@%UNNUMBER = Astro Teller	Carnegie Mellon University

@%UNNUMBER = Adrian Thompson	University of Sussex, UK

@%UNNUMBER = Marco Tomassini	<144>cole Polytechnique Federale de Lausanne

@%UNNUMBER = Patrick Tufts	Brandeis University

@%UNNUMBER = Siegfried Voessner	Stanford University

@%UNNUMBER = Marshall S. Veach	Stanford University

@%UNNUMBER = Thomas Wagner	Fraunhofer Institute for Integrated Circuits, 
Erlangen, Germany

@%UNNUMBER = Roger L. Wainwright	University of Tulsa

@%UNNUMBER = Paul Walsh	University College

@%UNNUMBER = Cork Mark Wineberg	Carleton University

@%UNNUMBER = P. A. Whigham	CSIRO Division of Water Resources, Australia

@%UNNUMBER = Darrell Whitley	Colorado State University

@%UNNUMBER = Mark J. Willis	University of Newcastle, UK

@%UNNUMBER = Man Leung Wong	Hong Kong Baptist University 

@%UNNUMBER = Yasuo Yonezawa	Ibaraki University

@%UNNUMBER = Byoung-Tak Zhang	Seoul National University, Seoul, Korea

@%HEAD 1 = PROGRAM COMMITTEE FOR GENETIC ALGORITHMS PAPERS

@%UNNUMBER = <B>Chair:<D> Kalyanmoy Deb, Indian Institute of Technology, 
Kanpur, India

@%UNNUMBER = Helio J. C. Barbosa, LNCC/CNPq

@%UNNUMBER = Partha Chakroborty, Indian Institute of Technology, Kanpur, 
India

@%UNNUMBER = Uday Chakrabarty, Jadavpur University

@%UNNUMBER = Dipankar Dasgupta, University of Memphis

@%UNNUMBER = Brahma Deo, Indian Institute of Technology, Kanpur, India

@%UNNUMBER = Jeff Horn, Northern Michigan University

@%UNNUMBER = Amitava Mukherjee, Indian Institute of Technology, Kanpur, 
India

@%UNNUMBER = V. Sundararajan, Centre for Development of Advanced Computing, 
Pune, India

@%HEAD 1 = PROGRAM COMMITTEE FOR ARTIFICIAL LIFE<R>
AND EVOLUTIONARY ROBOTICS PAPERS

@%UNNUMBER = <B>Chair:<D> Marco Dorigo, Universit<130> Libre de Bruxelles

@%UNNUMBER = Inman Harvey, University of Sussex

@%UNNUMBER = Olivier Michel, <144>cole Polytechnique, Lausanne

@%UNNUMBER = Alessandro Saffiotti, Universit<130> Libre de Bruxelles

@%HEAD 1 = PROGRAM COMMITTEE FOR EVOLUTIONARY PROGRAMMING<R>
AND EVOLUTION STRATEGIES PAPERS

@%UNNUMBER = <B>Chair:<D> David B. Fogel, Natural Selection, Inc.

@%UNNUMBER = Peter J. Angeline, Lockheed Martin Federal Systems

@%UNNUMBER = Kumar Chellapilla, Villanova University

@%UNNUMBER = John R. McDonnell, Naval Command, Control, and Ocean 
Surveillance Center, San Diego

@%UNNUMBER = Bill Porto, Natural Selection, Inc. 

@%UNNUMBER = Guenter Rudolph, Informatik Centrum Dortmund

@%UNNUMBER = N. Saravanan, Ford Motor Company

@%UNNUMBER = Anthony V. Sebald, University of California<196>San Diego

@%HEAD 1 = PROGRAM COMMITTEE FOR DNA COMPUTING PAPERS

@%UNNUMBER = <B>Chair:<D> Max Garzon, University of Memphis

@%UNNUMBER = Martin Amos, University of Liverpool

@%UNNUMBER = Anne Condon, University of Washington

@%UNNUMBER = Russell Deaton, University of Memphis

@%UNNUMBER = Don Franceschetti, University of Memphis

@%UNNUMBER = Natasha Jonoska, University of South Florida

@%UNNUMBER = Stephen Karl, University of South Florida

@%UNNUMBER = Randy Murphy, University of Memphis

@%UNNUMBER = Edward Stevens, University of Memphis

@%UNNUMBER = Gary Stormo, University of Colorado

@%UNNUMBER = David Wood, University of Delaware

@%HEAD 1 = PROGRAM COMMITTEE FOR EVOLVABLE HARDWARE PAPERS

@%UNNUMBER = <B>Chair:<D> Hitoshi Iba, Electrotechnical Laboratory, 
Tsukuba, Japan

@%UNNUMBER = Tetsuya Higuchi, Electrotechnical Laboratory, Tsukuba, 
Japan

@%UNNUMBER = Pierre R. Marchal, Centre Suisse d'Electroniqueet de 
Microtechnique

@%UNNUMBER = Adrian Thompson, University of Sussex

@%HEAD 1 = PROGRAM COMMITTEE FOR CLASSIFIER SYSTEMS PAPERS

@%UNNUMBER = <B>Chair:<D> Rick L. Riolo, University of Michigan

@%UNNUMBER = Lashon B. Booker, The MITRE Corporation

@%UNNUMBER = Jeffrey Horn, Northern Michigan University

@%UNNUMBER = Robert E. Smith, University of Alabama

@%BREAK PAGE = 

@%CT = Genetic Programming

@%BREAK PAGE = 

@%CT = Genetic Algorithms

@%BREAK PAGE = 

@%CT = Artificial Life and<R>
Evolutionary Robotics

@%BREAK PAGE = 

@%CT = Evolutionary Programming and<R>
Evolutionary Strategies

@%BREAK PAGE = 

@%CT = DNA Computing

@%BREAK PAGE = 

@%CT = Evolvable Hardware

@%BREAK PAGE = 

@%CT = Classifier Systems

@%BREAK PAGE = 

